package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag996;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT996Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT996Creator mt996Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt996Creator= (MT996Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt996Creator.getNarrativeDescription();
        mt996Creator.set("79", tag79Value);
    }
}
